<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextFile Method (IEdmFolder5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFolder5 Interface : GetNextFile Method (IEdmFolder5)

Visual Basic
C#
C++/CLI

poPosition
  IEdmPos5; position of file to retrieve (see Remarks)

Gets the next file in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextFile( _
       ByVal poPosition As IEdmPos5 _
    ) As IEdmFile5

C# |
--- | ---

    IEdmFile5 GetNextFile(
       IEdmPos5 poPosition
    )

C++/CLI |
--- | ---

    IEdmFile5^ GetNextFile(
    &   IEdmPos5^ poPosition
    )

#### Parameters

poPosition
  IEdmPos5; position of file to retrieve (see Remarks)

#### Return Value

IEdmFile5

# Example

Traverse Folders and Files in Vault (C#)
Traverse Folders and Files in Vault (VB.NET)

# Remarks

Before calling this method the first time, you must populate poPosition with the interface to the position of the first file, IEdmPos5. Call IEdmFolder5::GetFirstFilePosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the files.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

C++ programmers not using smart-pointer wrapper functions must release the returned interface.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: You have gone past the end of the list.

# See Also

####

IEdmFolder5 Interface
IEdmFolder5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2